# Class: Net

## Phaser. Net

Phaser.Net

#### new Net(game)

  Phaser.Net handles browser URL related tasks such as checking host names, domain names and query string manipulation.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the currently running game.

  Source:
    - net/Net.js, line 14

### Methods

#### checkDomainName(domain) → {boolean}

  Compares the given domain name against the hostname of the browser containing the game. If the domain name is found it returns true. You can specify a part of a domain, for example 'google' would match 'google.com', 'google.co.uk', etc. Do not include 'http://' at the start.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `domain` | string |

  Source:
    - net/Net.js, line 38

  ##### Returns:

  true if the given domain fragment can be found in the window.location.hostname

  Type
    boolean

#### decodeURI(value) → {string}

  Returns the Query String as an object. If you specify a parameter it will return just the value of that parameter, should it exist.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value` | string | The URI component to be decoded.

  Source:
    - net/Net.js, line 152

  ##### Returns:

  The decoded value.

  Type
    string

#### getHostName() → {string}

  Returns the hostname given by the browser.

  Source:
    - net/Net.js, line 22

  ##### Returns:

  Type
    string

#### getQueryString(parameter) → {string|object}

  Returns the Query String as an object. If you specify a parameter it will return just the value of that parameter, should it exist.

  ##### Parameters:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `parameter` | string | <optional> | '' | If specified this will return just the value for that key.

  Source:
    - net/Net.js, line 116

  ##### Returns:

  An object containing the key value pairs found in the query string or just the value if a parameter was given.

  Type
    string | object

#### updateQueryString(key, value, redirect, url) → {string}

  Updates a value on the Query String and returns it in full. If the value doesn't already exist it is set. If the value exists it is replaced with the new value given. If you don't provide a new value it is removed from the query string. Optionally you can redirect to the new url, or just return it as a string.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `key` | string | The querystring key to update.
  `value` | string | The new value to be set. If it already exists it will be replaced.
  `redirect` | boolean | If true the browser will issue a redirect to the url with the new querystring.
  `url` | string | The URL to modify. If none is given it uses window.location.href.

  Source:
    - net/Net.js, line 52

  ##### Returns:

  If redirect is false then the modified url and query string is returned.

  Type
    string